Magick++: Magick::Montage Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::Montage Class Reference

`#include <Montage.h>`

Inheritance diagram for Magick::Montage:
[legend]

## Public Member Functions
| Montage (void)
virtual | ~Montage (void)
void | backgroundColor (const Color &backgroundColor_)
Color | backgroundColor (void) const
void | compose (CompositeOperator compose_)
CompositeOperator | compose (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
void | fillColor (const Color &fill_)
Color | fillColor (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | geometry (const Geometry &geometry_)
Geometry | geometry (void) const
void | gravity (GravityType gravity_)
GravityType | gravity (void) const
void | label (const std::string &label_)
std::string | label (void) const
void | pointSize (size_t pointSize_)
size_t | pointSize (void) const
void | shadow (bool shadow_)
bool | shadow (void) const
void | strokeColor (const Color &stroke_)
Color | strokeColor (void) const
void | texture (const std::string &texture_)
std::string | texture (void) const
void | tile (const Geometry &tile_)
Geometry | tile (void) const
void | title (const std::string &title_)
std::string | title (void) const
void | transparentColor (const Color &transparentColor_)
Color | transparentColor (void) const
virtual void | updateMontageInfo (MagickCore::MontageInfo &montageInfo_) const

## Detailed Description

Definition at line 24 of file Montage.h.

## Constructor & Destructor Documentation

## ◆ Montage()

Magick::Montage::Montage | ( | void |  | ) |

Definition at line 21 of file Montage.cpp.

## ◆ ~Montage()

Magick::Montage::~Montage | ( | void |  | ) |
| virtual

Definition at line 39 of file Montage.cpp.

## Member Function Documentation

## ◆ backgroundColor() [1/2]

void Magick::Montage::backgroundColor | ( | const Color & | backgroundColor_ | ) |

Definition at line 43 of file Montage.cpp.

## ◆ backgroundColor() [2/2]

Magick::Color Magick::Montage::backgroundColor | ( | void |  | ) | const

Definition at line 48 of file Montage.cpp.

## ◆ compose() [1/2]

void Magick::Montage::compose | ( | CompositeOperator | compose_ | ) |

## ◆ compose() [2/2]

CompositeOperator Magick::Montage::compose | ( | void |  | ) | const

## ◆ fileName() [1/2]

void Magick::Montage::fileName | ( | const std::string & | fileName_ | ) |

Definition at line 53 of file Montage.cpp.

## ◆ fileName() [2/2]

std::string Magick::Montage::fileName | ( | void |  | ) | const

Definition at line 58 of file Montage.cpp.

## ◆ fillColor() [1/2]

void Magick::Montage::fillColor | ( | const Color & | fill_ | ) |

Definition at line 63 of file Montage.cpp.

## ◆ fillColor() [2/2]

Magick::Color Magick::Montage::fillColor | ( | void |  | ) | const

Definition at line 68 of file Montage.cpp.

## ◆ font() [1/2]

void Magick::Montage::font | ( | const std::string & | font_ | ) |

Definition at line 73 of file Montage.cpp.

## ◆ font() [2/2]

std::string Magick::Montage::font | ( | void |  | ) | const

Definition at line 78 of file Montage.cpp.

## ◆ geometry() [1/2]

void Magick::Montage::geometry | ( | const Geometry & | geometry_ | ) |

Definition at line 83 of file Montage.cpp.

Referenced by main().

## ◆ geometry() [2/2]

Magick::Geometry Magick::Montage::geometry | ( | void |  | ) | const

Definition at line 88 of file Montage.cpp.

## ◆ gravity() [1/2]

void Magick::Montage::gravity | ( | Magick::GravityType | gravity_ | ) |

Definition at line 93 of file Montage.cpp.

## ◆ gravity() [2/2]

Magick::GravityType Magick::Montage::gravity | ( | void |  | ) | const

Definition at line 98 of file Montage.cpp.

## ◆ label() [1/2]

void Magick::Montage::label | ( | const std::string & | label_ | ) |

Definition at line 103 of file Montage.cpp.

Referenced by Magick::montageImages().

## ◆ label() [2/2]

std::string Magick::Montage::label | ( | void |  | ) | const

Definition at line 108 of file Montage.cpp.

## ◆ pointSize() [1/2]

void Magick::Montage::pointSize | ( | size_t | pointSize_ | ) |

Definition at line 113 of file Montage.cpp.

## ◆ pointSize() [2/2]

size_t Magick::Montage::pointSize | ( | void |  | ) | const

Definition at line 118 of file Montage.cpp.

## ◆ shadow() [1/2]

void Magick::Montage::shadow | ( | bool | shadow_ | ) |

Definition at line 123 of file Montage.cpp.

## ◆ shadow() [2/2]

bool Magick::Montage::shadow | ( | void |  | ) | const

Definition at line 128 of file Montage.cpp.

## ◆ strokeColor() [1/2]

void Magick::Montage::strokeColor | ( | const Color & | stroke_ | ) |

Definition at line 133 of file Montage.cpp.

## ◆ strokeColor() [2/2]

Magick::Color Magick::Montage::strokeColor | ( | void |  | ) | const

Definition at line 138 of file Montage.cpp.

## ◆ texture() [1/2]

void Magick::Montage::texture | ( | const std::string & | texture_ | ) |

Definition at line 143 of file Montage.cpp.

## ◆ texture() [2/2]

std::string Magick::Montage::texture | ( | void |  | ) | const

Definition at line 148 of file Montage.cpp.

## ◆ tile() [1/2]

void Magick::Montage::tile | ( | const Geometry & | tile_ | ) |

Definition at line 153 of file Montage.cpp.

## ◆ tile() [2/2]

Magick::Geometry Magick::Montage::tile | ( | void |  | ) | const

Definition at line 158 of file Montage.cpp.

## ◆ title() [1/2]

void Magick::Montage::title | ( | const std::string & | title_ | ) |

Definition at line 163 of file Montage.cpp.

## ◆ title() [2/2]

std::string Magick::Montage::title | ( | void |  | ) | const

Definition at line 168 of file Montage.cpp.

## ◆ transparentColor() [1/2]

void Magick::Montage::transparentColor | ( | const Color & | transparentColor_ | ) |

Definition at line 173 of file Montage.cpp.

Referenced by Magick::montageImages().

## ◆ transparentColor() [2/2]

Magick::Color Magick::Montage::transparentColor | ( | void |  | ) | const

Definition at line 178 of file Montage.cpp.

## ◆ updateMontageInfo()

void Magick::Montage::updateMontageInfo | ( | MagickCore::MontageInfo & | montageInfo_ | ) | const
| virtual

Reimplemented in Magick::MontageFramed.

Definition at line 183 of file Montage.cpp.

References Magick::CloneString(), and Magick::Color.

Referenced by Magick::montageImages(), and Magick::MontageFramed::updateMontageInfo().

The documentation for this class was generated from the following files:

- Montage.h
- Montage.cpp